Upstream information

CVE-2015-3200 at MITRE

Description

mod_auth in lighttpd before 1.4.36 allows remote attackers to inject arbitrary log entries via a basic HTTP authentication string without a colon character, as demonstrated by a string containing a NULL and new line character.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 932286 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Availability 12 SP1
  • lighttpd >= 1.4.35-3.1
Patchnames:
SUSE-SLE-HA-12-SP1-2017-409
SUSE Linux Enterprise High Availability 12 SP2
  • lighttpd >= 1.4.35-3.1
Patchnames:
SUSE-SLE-HA-12-SP2-2017-409
SUSE Linux Enterprise High Availability 12 SP3
  • lighttpd >= 1.4.35-3.1
Patchnames:
SUSE Linux Enterprise High Availability 12 SP3 GA lighttpd
SUSE Linux Enterprise High Availability Extension 11 SP4
  • lighttpd >= 1.4.20-2.58.1
Patchnames:
slehasp4-lighttpd-13033
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • lighttpd >= 1.4.20-2.58.1
  • lighttpd-mod_cml >= 1.4.20-2.58.1
  • lighttpd-mod_magnet >= 1.4.20-2.58.1
  • lighttpd-mod_mysql_vhost >= 1.4.20-2.58.1
  • lighttpd-mod_rrdtool >= 1.4.20-2.58.1
  • lighttpd-mod_trigger_b4_dl >= 1.4.20-2.58.1
  • lighttpd-mod_webdav >= 1.4.20-2.58.1
Patchnames:
slesappsp4-lighttpd-13033
SUSE Linux Enterprise Server for SAP Applications 12
  • lighttpd >= 1.4.35-3.1
  • lighttpd-mod_cml >= 1.4.35-3.1
  • lighttpd-mod_magnet >= 1.4.35-3.1
  • lighttpd-mod_mysql_vhost >= 1.4.35-3.1
  • lighttpd-mod_rrdtool >= 1.4.35-3.1
  • lighttpd-mod_trigger_b4_dl >= 1.4.35-3.1
  • lighttpd-mod_webdav >= 1.4.35-3.1
Patchnames:
SUSE-SLE-SAP-12-2017-409
SUSE Linux Enterprise Software Development Kit 11 SP4
  • lighttpd >= 1.4.20-2.58.1
  • lighttpd-mod_cml >= 1.4.20-2.58.1
  • lighttpd-mod_magnet >= 1.4.20-2.58.1
  • lighttpd-mod_mysql_vhost >= 1.4.20-2.58.1
  • lighttpd-mod_rrdtool >= 1.4.20-2.58.1
  • lighttpd-mod_trigger_b4_dl >= 1.4.20-2.58.1
  • lighttpd-mod_webdav >= 1.4.20-2.58.1
Patchnames:
sdksp4-lighttpd-13033


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Availability 12 GA lighttpd Affected
SUSE Linux Enterprise High Availability 12 SP1 lighttpd Released
SUSE Linux Enterprise High Availability 12 SP2 lighttpd Released
SUSE Linux Enterprise High Availability Extension 11 SP3 lighttpd Affected
SUSE Linux Enterprise High Availability Extension 11 SP4 lighttpd Released
SUSE Linux Enterprise SDK 11 SP3 lighttpd Affected
SUSE Linux Enterprise SDK 11 SP4 lighttpd Released
SUSE Linux Enterprise Server for SAP Applications 11 SP4 lighttpd Released
SUSE Linux Enterprise Server for SAP Applications 12 GA lighttpd Released